org.bdgenomics.adam.rdd

# Coverage

#### class Coverage extends Serializable

A base is 'covered' by a region set if any region in the set contains the base itself.

The 'coverage regions' of a region set are the unique, disjoint, non-adjacent, minimal set of regions which contain every covered base, and no bases which are not covered.

The Coverage class calculates the coverage regions for a given region set.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Coverage
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Coverage(window: Long)

   window

     A parameter (which should be a positive number) that determines the parallelism which Coverage uses to calculate the coverage regions -- larger window sizes indicate less parallelism, but also fewer subsequent passes.

### Type Members

1. #### case class OrientedPoint (chrom: String, pos: Long, polarity: Boolean) extends Ordered[OrientedPoint] with Serializable with Product

2. #### type Region = ReferenceRegion

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def calculateCoverageRegions(regions: Iterator[ReferenceRegion]): Iterator[ReferenceRegion]

   Calculates the coverage regions for an input set -- note that this input set is an Iterable, not an RDD.

   Calculates the coverage regions for an input set -- note that this input set is an Iterable, not an RDD. This is the method which we call on each individual partition of the RDD, in order to calculate an initial set of disjoint-but-possibly-adjacent regions within the partition.

   regions

     The input set of ReferenceRegion objects

   returns

     The 'coverage regions' of the input set

8. #### def calculateCoverageRegions(regions: Iterable[ReferenceRegion]): Iterator[ReferenceRegion]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def collapseAdjacent(regions: RDD[Region]): RDD[Region]

    This is a helper function for findCoverageRegions -- basically, it takes a set of input ReferenceRegions, it finds all pairs of regions that are adjacent to each other (i.

    This is a helper function for findCoverageRegions -- basically, it takes a set of input ReferenceRegions, it finds all pairs of regions that are adjacent to each other (i.e. pairs (r1, r2) where r1.end == r2.start and r1.referenceName == r2.referenceName), and it collapses all such adjacent regions into single contiguous regions.

    regions

      The input regions set; we assume that this input set is non-overlapping (that no two regions in the input set overlap each other)

    returns

      The collapsed set of regions -- no two regions in the returned RDD should be adjacent, all should be at least one base-pair apart (or on separate chromosomes).

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def findCoverageRegions(coveringRegions: RDD[ReferenceRegion]): RDD[ReferenceRegion]

    Calling findCoverageRegions calculates (as an RDD) the coverage regions for a given RDD of input regions.

    Calling findCoverageRegions calculates (as an RDD) the coverage regions for a given RDD of input regions.

    The primary method.

    coveringRegions

      The input regions whose coverage regions are to be calculated

    returns

      an RDD containing the ReferenceRegions corresponding to the coverage regions of the input set 'coveringRegions'

15. #### def getAllWindows(sc: SparkContext, dict: SequenceDictionary): RDD[ReferenceRegion]

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def optionOrdering(or1: Option[Region], or2: Option[Region]): Int

23. #### def regionToWindows(region: ReferenceRegion): Seq[(Region, Region)]

    Uses the fixed window-width to key each Region by the corresponding window Region to which it belongs (through overlap).

    Uses the fixed window-width to key each Region by the corresponding window Region to which it belongs (through overlap). Since a Region can overlap several windows, there may be >1 value in the resulting Seq.

    region

      An input Region which is to be keyed to 1 or more windows.

    returns

      A Seq of Region pairs, where the first element of each pair is one of the windows (of fixed-width) and the second element is the input Region

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### val window: Long

    A parameter (which should be a positive number) that determines the parallelism which Coverage uses to calculate the coverage regions -- larger window sizes indicate less parallelism, but also fewer subsequent passes.

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped